<div class="container-fluid ">
  <!-- card  -->
  <div class="card shadow mb-4">
    <div class="card-header">
      <div class="flex-item-title">
        <h5 id="card-title" class="m-0 font-weight-bold">
          Add Payroll Detail
        </h5>
        <button type="button" style="background-color: rgb(245, 204, 21); margin-left: 5px;" class="btn  btn-sm">
          Invoice
        </button>
      </div>
      <div class="flex-item-btns">
        <button id="card-header-btn" type="button" class="btn btn-primary btn-sm">
          Export Sheet
        </button>
        <button id="card-header-btn" type="button" class="btn btn-primary btn-sm">
          Import Hours
        </button>
        <button id="card-header-btn" type="button" class="btn btn-primary btn-sm">
          Add Charge Detail
        </button>
        <button id="card-header-btn" type="button" class="btn btn-primary btn-sm">
          Attachment
        </button>
      </div>
    </div>

    <!-- card heading ends here -->

    <div class="card-body">
      <div class="row">
        <div class="col-md-4 col-sm-4 col-xm-4">
          <div class="input-group mb-3">
            <select class="select form-control" id="inputGroupSelect01">
              <option selected>Select...</option>
              <option value="1">One</option>
              <option value="2">Two</option>
              <option value="3">Three</option>
            </select>
          </div>
        </div>
        <div class="col-md-8 col-sm-8 col-xm-8">
          <button id="searchBtn" class="btn btn-primary">Search</button>
        </div>
      </div>
      <!-- body search ends here -->
      <form [formGroup]="payrollDetailform">
        <div formArrayName="payrollDetail" *ngFor="
            let detail of payrolldetailFormData.controls;
            let i = index
          ">
          <div [formGroupName]="i">
            <div class="flex-form-container">
              <div class="flex-form-item" style="flex: 0 0 10%">
                <label [attr.for]="'employeeName' + i">Employee Name<sup>*</sup></label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ employeeName + i }}" formControlName="employeeName">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                  <span style="position: absolute; margin-top:40px;" class="error-msg" *ngIf="
                      detail.get('employeeName').errors?.required && submitted
                    ">Required</span>
                </div>
              </div>
              <!-- .................................... -->
              <div class="flex-form-item" style="flex: 0 0 5%">
                <label [attr.for]="'hours' + i">Hours</label>
                <input id="{{ hours + i }}" type="text" class="form-control" formControlName="hours" />
              </div>
              <!-- ............................ -->
              <div class="flex-form-item" style="flex: 0 0 8%">
                <label [attr.for]="'typeOfPay' + i">Type Of Pay <sup>*</sup></label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ typeOfPay + i }}" formControlName="typeOfPay">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                  <span style="position: absolute; margin-top:40px;" class="error-msg" *ngIf="
                      detail.get('typeOfPay').errors?.required && submitted
                    ">Required</span>
                </div>
              </div>
              <!-- .................................. -->
              <div class="flex-form-item" style="flex: 0 0 8%">
                <label [attr.for]="'billRate' + i">Bill Rate</label>
                <input id="{{ billRate + i }}" type="text" class="form-control" formControlName="billRate" />
              </div>
              <!-- ................................... -->
              <div class="flex-form-item" style="flex: 0 0 10%">
                <label [attr.for]="'workersCCode' + i">Workers C Code <sup>*</sup>
                </label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ workersCCode + i }}" formControlName="workersCCode">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                  <span style="position: absolute; margin-top:40px;" class="error-msg" *ngIf="
                      detail.get('workersCCode').errors?.required && submitted
                    ">Required</span>
                </div>
              </div>
              <!-- ............................ -->
              <div class="flex-form-item" style="flex: 0 0 9%">
                <label [attr.for]="'classification' + i">Classification</label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ classification + i }}" formControlName="classification">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                </div>
              </div>
              <!-- ............................ -->
              <div class="flex-form-item" style="flex: 0 0 8%">
                <label [attr.for]="'location' + i">Location</label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ location + i }}" formControlName="location">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                </div>
              </div>
              <!-- ............................ -->
              <div class="flex-form-item" style="flex: 0 0 8%">
                <label [attr.for]="'department' + i">Department</label>
                <div class="input-group mb-3">
                  <select class="select form-control" id="{{ department + i }}" formControlName="department">
                    <option selected>Select...</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                  </select>
                </div>
              </div>
              <!-- .................................. -->
              <div class="flex-form-item" style="flex: 0 0 8%">
                <label [attr.for]="'date' + i">Date</label>
                <input id="{{ date + i }}" type="text" class="form-control" formControlName="date" bsDatepicker
                  [bsConfig]="{ containerClass: 'theme-default' }" />
              </div>
              <!-- .................................. -->
              <div class="flex-form-item" style="flex: 0 0 5%">
                <label [attr.for]="'amount' + i">Amount</label>
                <input id="{{ amount + i }}" type="text" class="form-control" formControlName="amount" />
              </div>
              <!-- ............................................ -->
              <div class="flex-form-item">
                <label [attr.for]="'notInv' + i">Not Inv</label>
                <input type="checkbox" class="form-check-input" id="{{ notInv + i }}"
                  style="height: 20px;width:20px; margin-top: 30px;" formControlName="notInv" />
              </div>
              <!-- ............................................ -->

              <div class="flex-form-item">
                <label class="form-check-label" [attr.for]="'notPay' + i">Not Pay</label>
                <input type="checkbox" class="form-check-input" id="{{ notPay + i }}"
                  style="width: 20px; height:20px; margin-top: 30px;" formControlName="notPay" />
              </div>
              <!-- ................ -->
              <div class="flex-form-item" style="margin-top: 18px;">
                <button type="button" class="btn" style="color:cornflowerblue;" (click)="deletBox(i)">
                  Del
                </button>
              </div>
            </div>
          </div>
        </div>
      </form>

      <div id="addBox" class="row">
        <div class="col-sm-12">
          <button class="btn" (click)="addBox()">
            +Add More Box
          </button>
        </div>
      </div>
      <div id="createBtn" class="row">
        <div class="col-md-12 col-sm-12 col-xm-12">
          <button class="btn btn-primary" (click)="OnCreateClick()">
            Create
          </button>
        </div>
      </div>
    </div>
    <!-- card body ends here -->
  </div>
</div>